#!/bin/sh

. $_EXEC/pdiread.sh
. $_EXEC/cards/l10n.sh
. $_EXEC/cards/widgets.sh
. $_EXEC/cards/list.sh

upcase=' y;abcdefghijklmnopqrstuvwxyzäöüé;ABCDEFGHIJKLMNOPQRSTUVWXYZÄÖÜÉ;; '

filter="$(GET f)"
order="$(GET o)"
edit="$(GET e |PATH)"

[ "$order" ] || order=firstname
edit="${edit##*/}"

{ w_filter_diag
  printf '
  [form class="newcard" action="/cards/new_card.sh" method="POST"
    [button type="submit" %s]
    [input name="seed" placeholder="%s	%s	%s	%s	%s	%s	%s	()	%s	()	%s"]
  ]' "$(l10n newcard)" \
     "$(l10n X-ZACK-JOINDATE)" "$(l10n n_first)" "$(l10n n_last)" \
     "$(l10n BDAY) $(l10n month)" "$(l10n BDAY) $(l10n year)" \
     "$(l10n TEL)" "$(l10n TEL) $(l10n 'TYPE=CELL')" "$(l10n EMAIL)" \
     "$(l10n NOTE)"
  [ "$edit" ] && edit_card "$edit"
  list_cards
} | yield_page cards #/cards/cards.css
